import { type Handler } from "aws-lambda";

import config from "../../config";
import Portal from "../portal";
import ScraperMethods from "../../enums/scraper-methods";

const name = "Metro de Santiago";

export const handler: Handler = new Portal(
  name, 
  config.MASTODON_KEY_METRODESANTIAGO,
  {
    url: config.METRODESANTIAGO,
    linkPrefix: config.METRODESANTIAGO,
    articlesSelector: "div.timeline div.timeline-item",
    titleSelector: "div.tweet-body div.tweet-header div.tweet-name-row div.fullname-and-username a.fullname",
    linkSelector: "a.tweet-link",
    scraperMethod: ScraperMethods.PUPPETEER
  }
).getHandler();
