import { type Handler } from "aws-lambda";

import config from "../../config";
import SismologiaCL from ".";
import ScraperMethods from "../../enums/scraper-methods";

const name = "Sismología UdeChile";

export const handler: Handler = new SismologiaCL(
  name, 
  config.MASTODON_KEY_SISMOLOGIA,
  {
    url: config.SISMOLOGIA,
    reportsSelector: "table.sismologia tbody tr.percibido",
    dateSelector: "td a",
    locationSelector: "td:nth-child(1)",
    depthSelector: "td:nth-child(2)",
    magnitudeSelector: "td:nth-child(3)",
    linkSelector: "td:nth-child(1) a",
    locationImgSelector: "main aside img",
    scraperMethod: ScraperMethods.PUPPETEER,
    hashtags: ["Sismo", "SismoPercibido", "Chile"]
  }
).getHandler();
