import config from "../../config";
import SismologiaCL from ".";
import ScraperMethods from "../../enums/scraper-methods";

const name = "Sismología UdeChile";

new SismologiaCL(
  name, 
  config.DEVELOP ? config.MASTODON_TEST_ACCESS_TOKEN : config.MASTODON_KEY_SISMOLOGIA,
  {
    url: config.SISMOLOGIA,
    reportsSelector: "table.sismologia tbody tr.percibido",
    dateSelector: "td a",
    locationSelector: "td:nth-child(1)",
    depthSelector: "td:nth-child(2)",
    magnitudeSelector: "td:nth-child(3)",
    linkSelector: "td:nth-child(1) a",
    locationImgSelector: "main aside img",
    scraperMethod: ScraperMethods.AXIOS,
    hashtags: ["Sismo", "SismoPercibido", "Chile"]
  }
).run().then(() => process.exit(0));
